
# liste des fonctions et des instructions

# get_ini_path
# recup_fichier_ini


# --------------  get_ini_path  --------------------

sub get_ini_path($){
    #
    my(@args) = @_;
    my $path_to_ini = $_[0];
    
    $PATH='';
    if (substr($path_to_ini,0,1) eq '/')
    {
        #absolute path
        $PATH = $path_to_ini;
    }
    else 
    {
        $PATH = `dirname $0`;
        $PATH = substr($PATH, 0, -1);
        if ($PATH eq '.')
        {
            $PATH = $path_to_ini;
        }
        else
        {
            if (substr($PATH,0,2) eq "./")
            {
                $PATH=substr($PATH,2);
            }
            $PATH = "${PATH}/${path_to_ini}";
        }
    }


   if ($PATH ne '')
   {
       $PATH="${PATH}/";
   }
   return $PATH;
}

#------------------ recup_fichier_ini ---------------------

sub recup_fichier_ini($)
{

    my(@args) = @_;
    my $path_to_ini = $_[0];
    my $COUNTRY_CODE = $_[1];

# retrieve name of pl script
my $PROGNAME=`basename $0`;
chomp($PROGNAME);

# retrieve the path of the script
$PATH=get_ini_path($path_to_ini);

# name of ini file is the same of pl script exect extension (.pl)
$NAME_INI=substr($PROGNAME, 0, -3);

# ini_file content the path & name of the ini file
$ini_file = "${PATH}${NAME_INI}_${COUNTRY_CODE}.ini";

if (!(-e $ini_file))
    {
    # ini file is not beeing found , try with default name
    $ini_file = "${PATH}${NAME_INI}.ini";
    if (!(-e $ini_file))
        {
        print "fatal error : conf file (${ini_file}) not found";
        exit 3;
        } 
    }

#put translations in memory
my $test = Config::INI::Reader->read_file($ini_file);


}




return true;

